@media (prefers-reduced-motion: no-preference) {
  .layout:not(.layout--two-column, .layout--accordion) .layout__region-item {
    opacity: 0;
    translate: 0px 20px;
    transition-property: all;
    transition-timing-function: ease-in-out;
  }
}

.layout.layout--edge-to-edge {
  margin-left: calc(-50vw + 50% + var(--scrollbar-width, 0px) / 2 + var(--drupal-displace-offset-left, 0px) / 2);
  margin-right: calc(-50vw + 50% + var(--scrollbar-width, 0px) / 2 + var(--drupal-displace-offset-left, 0px) / 2);
}

.layout.layout--edge-to-edge > .layout__content {
  padding-inline: var(--safe-area-inline);
  max-width: 1370px;
  margin: 0 auto;
}

.layout {
  container-name: layout;
  container-type: inline-size;
}
.layout[data-color-scheme] {
  background-color: var(--bg-color);
}
.layout[data-color-scheme]:not(.layout--edge-to-edge) {
  margin-inline: calc(18px * -1);
}
.layout[data-color-scheme] > .layout__content {
  position: relative;
  padding-block: 43.9453125px;
  padding-inline: 18px;
}
.layout:not(.layout--one-column) > .layout__content > .layout__regions {
  display: grid;
  row-gap: 18px;
  -moz-column-gap: 35.15625px;
       column-gap: 35.15625px;
}
.layout > .layout__content {
  container-name: layout-content;
  container-type: inline-size;
}
.layout > .layout__content > .layout__regions {
  align-items: var(--layout-regions--align-items, start);
}
.layout .layout__region {
  container-name: layout-region;
  container-type: inline-size;
  display: flex;
  flex-direction: column;
}
.layout .layout__region--gap-sm {
  row-gap: clamp(0.8rem, 0.65rem + 0.75vw, 1.25rem);
}
.layout .layout__region--gap-md {
  row-gap: clamp(1.25rem, 1.015625rem + 1.171875vw, 1.953125rem);
}
.layout .layout__region--gap-lg {
  row-gap: clamp(1.953125rem, 1.5869140625rem + 1.8310546875vw, 3.0517578125rem);
}
.layout .layout__region--sticky {
  position: sticky;
  top: var(--drupal-displace-offset-top, 0);
}
.layout.layout--margin-bottom-sm {
  margin-bottom: clamp(1rem, 0.51953125rem + 2.40234375vw, 2.44140625rem);
}
.layout.layout--margin-bottom-md {
  margin-bottom: clamp(1.953125rem, 1.0147094727rem + 4.6920776367vw, 4.768371582rem);
}
.layout.layout--margin-bottom-lg {
  margin-bottom: clamp(3.8146972656rem, 1.9818544388rem + 9.1642141342vw, 9.3132257462rem);
}
.layout:last-child {
  margin-bottom: 0;
}
.layout.layout--edge-to-edge > .layout__content {
  padding-inline: var(--safe-area-inline);
}
.layout.layout--align-start {
  --layout-regions--align-items: start;
}
.layout.layout--align-center {
  --layout-regions--align-items: center;
}
.layout.layout--align-end {
  --layout-regions--align-items: end;
}
.layout.layout--align-stretch {
  --layout-regions--align-items: stretch;
}
.layout.layout--align-stretch .layout__region-item,
.layout.layout--align-stretch .layout__region-item > .layout {
  height: 100%;
}

.layout--one-column {
  position: relative;
}
.layout--one-column[class*=block-pattern]::before, .layout--one-column[class*=block-pattern]::after {
  --pattern--dots-outline--color: #6D6E71;
  background-color: transparent;
  background-repeat: repeat;
  background-image: radial-gradient(circle 3px at 50% 50%, rgb(from var(--pattern--dots-solid--color, var(--deemphasis)) r g b/1) 3px, transparent 3px);
  background-size: 30px 30px;
  position: absolute;
  width: 100vw;
  height: calc(36px * 4 + 12px);
  opacity: 0.5;
  z-index: -1;
  left: calc(0px - 50vw + 50%);
  pointer-events: none;
}
.layout--one-column.layout--block-pattern-top::before {
  content: "";
  top: calc(60px * -1);
}
.layout--one-column.layout--block-pattern-bottom::after {
  content: "";
  bottom: calc(60px * -1);
}
.layout--one-column[class*=inline-pattern]::before, .layout--one-column[class*=inline-pattern]::after, .layout--one-column[class*=inline-pattern][class*=inset-layout] > .layout__content::before, .layout--one-column[class*=inline-pattern][class*=inset-layout] > .layout__content::after {
  --pattern--dots-outline--color: #6D6E71;
  background-color: transparent;
  background-repeat: repeat;
  background-image: radial-gradient(circle 3px at 50% 50%, transparent 2px, rgb(from var(--pattern--dots-outline--color, var(--deemphasis)) r g b/1) 3px, rgb(from var(--pattern--dots-outline--color, var(--deemphasis)) r g b/1) 3px, transparent 3px);
  background-size: 22px 22px;
  position: absolute;
  top: calc(44px * -1);
  bottom: calc(44px * -1);
  width: 176px;
}
.layout--one-column.layout--inline-pattern-left::before, .layout--one-column.layout--inline-pattern-left[class*=inset-layout] > .layout__content::before {
  content: "";
  left: calc((66px + 6px) * -1);
}
.layout--one-column.layout--inline-pattern-right::after, .layout--one-column.layout--inline-pattern-right[class*=inset-layout] > .layout__content::after {
  content: "";
  right: calc((66px + 6px) * -1);
}
@media (width > 64em) {
  .layout--one-column[class*=inset] {
    display: grid;
    -moz-column-gap: 35.15625px;
         column-gap: 35.15625px;
    grid-template-columns: repeat(12, minmax(0, 1fr));
  }
  .layout--one-column[class*=inset][data-color-scheme] {
    margin-inline: 0;
  }
  .layout--one-column[class*=inset] > .layout__content {
    padding-inline: 0;
  }
  .layout--one-column[class*=inset-1] > .layout__content {
    grid-column: 2/-2;
  }
  .layout--one-column[class*=inset-2] > .layout__content {
    grid-column: 3/-3;
  }
  .layout--one-column[class*=inset-layout] {
    background-color: unset;
  }
  .layout--one-column[class*=inset-layout].layout--inline-pattern-left::before, .layout--one-column[class*=inset-layout].layout--inline-pattern-left::after, .layout--one-column[class*=inset-layout].layout--inline-pattern-right::before, .layout--one-column[class*=inset-layout].layout--inline-pattern-right::after {
    content: unset;
  }
  .layout--one-column[class*=inset-layout] > .layout__content {
    background-color: var(--bg-color);
    margin-inline: calc(35.15625px * -1);
    padding-inline: calc(35.15625px);
  }
  .layout--one-column.layout--horizontal .layout__content:has(.layout__header + .layout__regions) {
    display: grid;
    -moz-column-gap: 35.15625px;
         column-gap: 35.15625px;
    grid-template-columns: repeat(12, minmax(0, 1fr));
  }
  .layout--one-column.layout--horizontal .layout__content:has(.layout__header + .layout__regions) .layout__header {
    grid-column: span 4;
  }
  .layout--one-column.layout--horizontal .layout__content:has(.layout__header + .layout__regions) .layout__regions {
    grid-column: span 8;
  }
}
@media (prefers-reduced-motion: no-preference) {
  .layout--two-column > .layout__content > .layout__regions > .layout__region--second .layout__region-item {
    opacity: 0;
    translate: 40px 0px;
    transition-property: all;
    transition-timing-function: ease-in-out;
  }
}

@media (prefers-reduced-motion: no-preference) {
  .layout--two-column > .layout__content > .layout__regions > .layout__region--first .layout__region-item {
    opacity: 0;
    translate: -40px 0px;
    transition-property: all;
    transition-timing-function: ease-in-out;
  }
}

.layout--two-column {
  --layout-two-column-regions-gta:
    "lr1"
    "lr2";
}
.layout--two-column > .layout__content > .layout__regions {
  grid-template-areas: var(--layout-two-column-regions-gta);
}
.layout--two-column > .layout__content > .layout__regions > .layout__region--first {
  grid-area: lr1;
}
.layout--two-column > .layout__content > .layout__regions > .layout__region--second {
  grid-area: lr2;
}
@media (max-width: 64em) {
  .layout--two-column.layout--mobile-order-1-2 > .layout__content > .layout__regions {
    --layout-two-column-regions-gta: "lr1" "lr2" ;
  }
  .layout--two-column.layout--mobile-order-2-1 > .layout__content > .layout__regions {
    --layout-two-column-regions-gta: "lr2" "lr1" ;
  }
}
@media (min-width: 64em) {
  .layout--two-column > .layout__content > .layout__regions {
    grid-template-columns: repeat(12, minmax(0, 1fr));
  }
  .layout--two-column.layout--50-50 {
    --layout-two-column-regions-gta: "lr1 lr1 lr1 lr1 lr1 lr1 lr2 lr2 lr2 lr2 lr2 lr2";
  }
  .layout--two-column.layout--60-40 {
    --layout-two-column-regions-gta: "lr1 lr1 lr1 lr1 lr1 lr1 lr1 lr2 lr2 lr2 lr2 lr2";
  }
  .layout--two-column.layout--40-60 {
    --layout-two-column-regions-gta: "lr1 lr1 lr1 lr1 lr1 lr2 lr2 lr2 lr2 lr2 lr2 lr2";
  }
  .layout--two-column.layout--70-30 {
    --layout-two-column-regions-gta: "lr1 lr1 lr1 lr1 lr1 lr1 lr1 lr1 lr2 lr2 lr2 lr2";
  }
  .layout--two-column.layout--30-70 {
    --layout-two-column-regions-gta: "lr1 lr1 lr1 lr1 lr2 lr2 lr2 lr2 lr2 lr2 lr2 lr2";
  }
  .layout--two-column.layout--75-25 {
    --layout-two-column-regions-gta: "lr1 lr1 lr1 lr1 lr1 lr1 lr1 lr1 lr1 lr2 lr2 lr2";
  }
  .layout--two-column.layout--25-75 {
    --layout-two-column-regions-gta: "lr1 lr1 lr1 lr2 lr2 lr2 lr2 lr2 lr2 lr2 lr2 lr2";
  }
}
.layout--three-column {
  --layout-three-column-regions-gta:
    "lr1"
    "lr2"
    "lr3";
}
.layout--three-column > .layout__content > .layout__regions {
  grid-template-areas: var(--layout-three-column-regions-gta);
}
.layout--three-column > .layout__content > .layout__regions > .layout__region--first {
  grid-area: lr1;
}
.layout--three-column > .layout__content > .layout__regions > .layout__region--second {
  grid-area: lr2;
}
.layout--three-column > .layout__content > .layout__regions > .layout__region--third {
  grid-area: lr3;
}
@media (min-width: 64em) {
  .layout--three-column > .layout__content > .layout__regions {
    grid-template-columns: repeat(12, minmax(0, 1fr));
  }
  .layout--three-column.layout--33-33-33 {
    --layout-three-column-regions-gta: "lr1 lr1 lr1 lr1 lr2 lr2 lr2 lr2 lr3 lr3 lr3 lr3" ;
  }
  .layout--three-column.layout--25-50-25 {
    --layout-three-column-regions-gta: "lr1 lr1 lr1 lr2 lr2 lr2 lr2 lr2 lr2 lr3 lr3 lr3" ;
  }
  .layout--three-column.layout--50-25-25 {
    --layout-three-column-regions-gta: "lr1 lr1 lr1 lr1 lr1 lr1 lr2 lr2 lr2 lr3 lr3 lr3" ;
  }
  .layout--three-column.layout--25-25-50 {
    --layout-three-column-regions-gta: "lr1 lr1 lr1 lr2 lr2 lr2 lr3 lr3 lr3 lr3 lr3 lr3" ;
  }
}
@media (min-width: 64em) {
  .layout--four-column > .layout__content > .layout__regions {
    grid-template-columns: repeat(12, minmax(0, 1fr));
  }
  .layout--four-column > .layout__content > .layout__regions > .layout__region {
    grid-column: span 3;
  }
}
